########################################
#####
##### Marvel 2 Application global properties
#####
########################################


##########
# Spring Boot Actuator endpoints need to be enabled specifically
#
management.endpoints.web.exposure.include=*
# TODO The health endpoints may need more tweaking.
management.endpoints.health.sensitive=false
management.health.defaults.enabled=false
management.endpoint.health.show-details=ALWAYS
management.info.git.mode=FULL




##########
# Logging levels to make it less verbose
#
logging.level.org.springframework=WARN
logging.level.org.springframework.web=INFO
#
# Enable logging of all HTTP requests
logging.level.org.springframework.web.filter.CommonsRequestLoggingFilter=DEBUG
#
## Uncomment the following lines when database queries need to be debugged
logging.level.org.hibernate=ERROR
logging.level.org.hibernate.SQL=ERROR
#logging.level.org.hibernate.engine.internal.StatisticalLoggingSessionEventListener=TRACE
#logging.level.org.hibernate.type.descriptor.sql.BasicBinder=TRACE
#
## ElasticSearch client logging
#logging.level.org.springframework.data.elasticsearch.client.WIRE=TRACE
#
## ZOOX code logging
logging.level.com.zoox=DEBUG
#logging.level.com.zoox=TRACE


spring.jpa.properties.hibernate.dialect = com.zoox.marvel.util.CustomH2Dialect
